diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/building-list.h ns-3.43/src/buildings/model/building-list.h
--- ns-3.42/src/buildings/model/building-list.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/building-list.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jaume Nin <jaume.nin@cttc,cat>
  * Based on NodeList implementation by Mathieu Lacage  <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/buildings-channel-condition-model.cc ns-3.43/src/buildings/model/buildings-channel-condition-model.cc
--- ns-3.42/src/buildings/model/buildings-channel-condition-model.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/buildings-channel-condition-model.cc	2024-10-09 16:41:09.852655600 -0700
@@ -4,18 +4,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "buildings-channel-condition-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/buildings-channel-condition-model.h ns-3.43/src/buildings/model/buildings-channel-condition-model.h
--- ns-3.42/src/buildings/model/buildings-channel-condition-model.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/buildings-channel-condition-model.h	2024-10-09 16:41:09.852655600 -0700
@@ -4,18 +4,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef BUILDINGS_CHANNEL_CONDITION_MODEL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/buildings-propagation-loss-model.cc ns-3.43/src/buildings/model/buildings-propagation-loss-model.cc
--- ns-3.42/src/buildings/model/buildings-propagation-loss-model.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/buildings-propagation-loss-model.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>,
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/buildings-propagation-loss-model.h ns-3.43/src/buildings/model/buildings-propagation-loss-model.h
--- ns-3.42/src/buildings/model/buildings-propagation-loss-model.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/buildings-propagation-loss-model.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/hybrid-buildings-propagation-loss-model.cc ns-3.43/src/buildings/model/hybrid-buildings-propagation-loss-model.cc
--- ns-3.42/src/buildings/model/hybrid-buildings-propagation-loss-model.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/hybrid-buildings-propagation-loss-model.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/hybrid-buildings-propagation-loss-model.h ns-3.43/src/buildings/model/hybrid-buildings-propagation-loss-model.h
--- ns-3.42/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
@@ -39,7 +28,7 @@
  * \ingroup buildings
  * \ingroup propagation
  *
- *  \brief The HybridBuildingsPropagationModel is a compound of different models able to evaluate
+ * \brief The HybridBuildingsPropagationModel is a compound of different models able to evaluate
  * the pathloss from 200 to 2600 MHz, in different environments and with buildings (i.e., indoor and
  * outdoor communications).
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/itu-r-1238-propagation-loss-model.cc ns-3.43/src/buildings/model/itu-r-1238-propagation-loss-model.cc
--- ns-3.42/src/buildings/model/itu-r-1238-propagation-loss-model.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/itu-r-1238-propagation-loss-model.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>,
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/itu-r-1238-propagation-loss-model.h ns-3.43/src/buildings/model/itu-r-1238-propagation-loss-model.h
--- ns-3.42/src/buildings/model/itu-r-1238-propagation-loss-model.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/itu-r-1238-propagation-loss-model.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/mobility-building-info.cc ns-3.43/src/buildings/model/mobility-building-info.cc
--- ns-3.42/src/buildings/model/mobility-building-info.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/mobility-building-info.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/mobility-building-info.h ns-3.43/src/buildings/model/mobility-building-info.h
--- ns-3.42/src/buildings/model/mobility-building-info.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/mobility-building-info.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/oh-buildings-propagation-loss-model.cc ns-3.43/src/buildings/model/oh-buildings-propagation-loss-model.cc
--- ns-3.42/src/buildings/model/oh-buildings-propagation-loss-model.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/oh-buildings-propagation-loss-model.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/oh-buildings-propagation-loss-model.h ns-3.43/src/buildings/model/oh-buildings-propagation-loss-model.h
--- ns-3.42/src/buildings/model/oh-buildings-propagation-loss-model.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/oh-buildings-propagation-loss-model.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc ns-3.43/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc
--- ns-3.42/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2006,2007 INRIA
  * Copyright (c) 2019 University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Author: Michele Polese <michele.polese@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/random-walk-2d-outdoor-mobility-model.h ns-3.43/src/buildings/model/random-walk-2d-outdoor-mobility-model.h
--- ns-3.42/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2006,2007 INRIA
  * Copyright (c) 2019 University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Author: Michele Polese <michele.polese@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/three-gpp-v2v-channel-condition-model.cc ns-3.43/src/buildings/model/three-gpp-v2v-channel-condition-model.cc
--- ns-3.42/src/buildings/model/three-gpp-v2v-channel-condition-model.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/three-gpp-v2v-channel-condition-model.cc	2024-10-09 16:41:09.852655600 -0700
@@ -3,18 +3,7 @@
  * University of Padova
  * Copyright (c) 2020 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "three-gpp-v2v-channel-condition-model.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/three-gpp-v2v-channel-condition-model.h ns-3.43/src/buildings/model/three-gpp-v2v-channel-condition-model.h
--- ns-3.42/src/buildings/model/three-gpp-v2v-channel-condition-model.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/three-gpp-v2v-channel-condition-model.h	2024-10-09 16:41:09.852655600 -0700
@@ -3,18 +3,7 @@
  * University of Padova
  * Copyright (c) 2020 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef THREE_GPP_V2V_CHANNEL_CONDITION_MODEL
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/building-position-allocator-test.cc ns-3.43/src/buildings/test/building-position-allocator-test.cc
--- ns-3.42/src/buildings/test/building-position-allocator-test.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/building-position-allocator-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/buildings-channel-condition-model-test.cc ns-3.43/src/buildings/test/buildings-channel-condition-model-test.cc
--- ns-3.42/src/buildings/test/buildings-channel-condition-model-test.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/buildings-channel-condition-model-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/buildings-helper-test.cc ns-3.43/src/buildings/test/buildings-helper-test.cc
--- ns-3.42/src/buildings/test/buildings-helper-test.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/buildings-helper-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/buildings-pathloss-test.cc ns-3.43/src/buildings/test/buildings-pathloss-test.cc
--- ns-3.42/src/buildings/test/buildings-pathloss-test.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/buildings-pathloss-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/buildings-pathloss-test.h ns-3.43/src/buildings/test/buildings-pathloss-test.h
--- ns-3.42/src/buildings/test/buildings-pathloss-test.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/buildings-pathloss-test.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/buildings-penetration-loss-pathloss-test.cc ns-3.43/src/buildings/test/buildings-penetration-loss-pathloss-test.cc
--- ns-3.42/src/buildings/test/buildings-penetration-loss-pathloss-test.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/buildings-penetration-loss-pathloss-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/buildings-shadowing-test.cc ns-3.43/src/buildings/test/buildings-shadowing-test.cc
--- ns-3.42/src/buildings/test/buildings-shadowing-test.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/buildings-shadowing-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/buildings-shadowing-test.h ns-3.43/src/buildings/test/buildings-shadowing-test.h
--- ns-3.42/src/buildings/test/buildings-shadowing-test.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/buildings-shadowing-test.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  */
